pandoc

Portability | portable
Stability | alpha
Maintainer | John MacFarlane <jgm@berkeley.edu>
Safe Haskell | Safe-Infered

Text.Pandoc.Slides

Description

Utility functions for splitting documents into slides for slide show formats (dzslides, s5, slidy, slideous, beamer).

Synopsis

- getSlideLevel :: [Block] -> Int
- prepSlides :: Int -> [Block] -> [Block]

# Documentation

getSlideLevel :: [Block] -> Int

Find level of header that starts slides (defined as the least header level that occurs before a non-header/non-hrule in the blocks).

prepSlides :: Int -> [Block] -> [Block]

Prepare a block list to be passed to hierarchicalize.